Bug 1246396 (CVE-2015-5622, CVE-2015-5623)

Summary: CVE-2015-5622 CVE-2015-5623 wordpress: cross-site scripting and permission issue fixed in wordpress 4.2.3
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, gwync
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20150723,reported=20150723,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/wordpress=affected,epel-all/wordpress=affected,cwe=CWE-79[auto]
Fixed In Version: wordpress 4.2.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:42:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1246398, 1246399    
Bug Blocks:    

Description Martin Prpič 2015-07-24 08:28:00 UTC
A cross-site scripting vulnerability, which could allow users with the Contributor or Author role to compromise a site, was found in WordPress 4.2.2 and earlier. This flaw was assigned CVE-2015-5622.

A second flaw was found which could allow a user with Subscriber permissions to create a draft through Quick Draft. This flaw was assigned CVE-2015-5623.

Both issues were fixed in WordPress 4.2.3.

CVE assignment:

http://seclists.org/oss-sec/2015/q3/187

Upstream patches:

CVE-2015-5622 - https://core.trac.wordpress.org/changeset/33359
CVE-2015-5623 - https://core.trac.wordpress.org/changeset/33357

External References:

https://wordpress.org/news/2015/07/wordpress-4-2-3/

Comment 1 Martin Prpič 2015-07-24 08:28:32 UTC
Created wordpress tracking bugs for this issue:

Affects: fedora-all [bug 1246398]
Affects: epel-all [bug 1246399]

Comment 2 Fedora Update System 2015-08-13 16:54:41 UTC
wordpress-4.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-08-13 16:57:47 UTC
wordpress-4.2.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-08-22 19:25:35 UTC
wordpress-4.2.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-08-23 02:53:25 UTC
wordpress-4.2.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-23 03:00:24 UTC
wordpress-4.2.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:42:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.